﻿<?xml version="1.0" encoding="utf-8"?>
<xs:schema elementFormDefault="qualified" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:element name="UartSubDataSet" type="UartSubDataSet" />
  <xs:complexType name="UartSubDataSet">
    <xs:sequence>
      <xs:element minOccurs="1" maxOccurs="1" name="dataStartIndex" type="xs:unsignedShort" />
      <xs:element minOccurs="1" maxOccurs="1" name="dataLength" type="xs:unsignedShort" />
      <xs:element minOccurs="0" maxOccurs="1" name="dataName" type="xs:string" />
      <xs:element minOccurs="0" maxOccurs="1" name="dataDescription" type="xs:string" />
    </xs:sequence>
  </xs:complexType>
  <xs:element name="Uart_PduCfg" type="Uart_PduCfg" />
  <xs:complexType name="Uart_PduCfg">
    <xs:sequence>
      <xs:element minOccurs="1" maxOccurs="1" name="pduId" type="xs:unsignedShort" />
      <xs:element minOccurs="1" maxOccurs="1" name="dataLength" type="xs:unsignedShort" />
      <xs:element minOccurs="0" maxOccurs="1" name="pduShortName" type="xs:string" />
      <xs:element minOccurs="0" maxOccurs="1" name="pduDescription" type="xs:string" />
      <xs:element minOccurs="0" maxOccurs="1" name="pduDataSet" type="ArrayOfUartSubDataSet" />
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="ArrayOfUartSubDataSet">
    <xs:sequence>
      <xs:element minOccurs="0" maxOccurs="unbounded" name="UartSubDataSet" type="UartSubDataSet" />
    </xs:sequence>
  </xs:complexType>
  <xs:element name="UartPduInputDatabase" nillable="true" type="UartPduInputDatabase" />
  <xs:complexType name="UartPduInputDatabase">
    <xs:sequence>
      <xs:element minOccurs="1" maxOccurs="1" name="xmlFileVersion" type="XmlFileVersion" />
      <xs:element minOccurs="0" maxOccurs="1" name="pduConfigList" type="ArrayOfUart_PduCfg" />
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="XmlFileVersion">
    <xs:sequence>
      <xs:element minOccurs="1" maxOccurs="1" name="MajorVersion" type="xs:unsignedShort" />
      <xs:element minOccurs="1" maxOccurs="1" name="MinorVersion" type="xs:unsignedShort" />
      <xs:element minOccurs="1" maxOccurs="1" name="PatchVersion" type="xs:unsignedShort" />
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="ArrayOfUart_PduCfg">
    <xs:sequence>
      <xs:element minOccurs="0" maxOccurs="unbounded" name="Uart_PduCfg" type="Uart_PduCfg" />
    </xs:sequence>
  </xs:complexType>
</xs:schema>